import React from 'react';
import {GoogleLogout} from 'react-google-login';

const google_ClientID = process.env.REACT_APP_GOOGLE_CLIENT_ID;
const clientId = `${google_ClientID}.apps.googleusercontent.com`;

function Logout(){
    const onSuccess= (res) =>{
        console.log('User is LogOff successfully');
    }

    return(
        <div>
            <GoogleLogout
            clientId= {clientId}
            buttonText="Sign Out"
            onLogoutSuccess={onSuccess}
            />
        </div>
    );
}

export default Logout;